ListServiceAccountSuggestions
curl --request POST \
--url https://developer.synq.io/api/entities/service-accounts/v1alpha/suggestions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"windowDays": 91
}
'import requests
url = "https://developer.synq.io/api/entities/service-accounts/v1alpha/suggestions"
payload = { "windowDays": 91 }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({windowDays: 91})
};
fetch('https://developer.synq.io/api/entities/service-accounts/v1alpha/suggestions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://developer.synq.io/api/entities/service-accounts/v1alpha/suggestions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'windowDays' => 91
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://developer.synq.io/api/entities/service-accounts/v1alpha/suggestions"
payload := strings.NewReader("{\n \"windowDays\": 91\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://developer.synq.io/api/entities/service-accounts/v1alpha/suggestions")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"windowDays\": 91\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://developer.synq.io/api/entities/service-accounts/v1alpha/suggestions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"windowDays\": 91\n}"
response = http.request(request)
puts response.read_body{
"suggestions": [
{
"source": "SUGGESTION_SOURCE_UNSPECIFIED",
"changes": {
"upsertServiceAccounts": [
{
"id": "<string>",
"name": "<string>",
"toolPlatform": "DATA_PLATFORM_TYPE_UNSPECIFIED",
"toolEntityId": "<string>",
"purpose": "PURPOSE_UNSPECIFIED",
"policy": {
"countsTowardPopularity": true,
"listedAsFrequentUser": true,
"countsTowardPopularityResolved": true,
"listedAsFrequentUserResolved": true
},
"priority": 123,
"matchers": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"platformUserIds": [
"<string>"
],
"logins": [
"<string>"
],
"emails": [
"<string>"
],
"advanced": {
"platforms": [
"DATA_PLATFORM_TYPE_UNSPECIFIED"
],
"platformRootEntityIds": [
"<string>"
],
"userTypes": [
"<string>"
],
"emailDomains": [
"<string>"
],
"issuers": [
"DATA_PLATFORM_TYPE_UNSPECIFIED"
],
"minIssuerShare": 0.5,
"footprints": [
"DATA_PLATFORM_TYPE_UNSPECIFIED"
],
"minFootprintShare": 0.5
},
"internalOnly": true
}
],
"builtIn": true,
"excludedPlatformUserIds": [
"<string>"
],
"etag": "<string>",
"updatedBy": {
"name": "<string>",
"email": {
"userEmail": "jsmith@example.com"
},
"via": "VIA_UNSPECIFIED"
},
"createdAt": "2023-01-15T01:30:15.01Z",
"updatedAt": "2023-01-15T01:30:15.01Z"
}
],
"deleteServiceAccountIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"upsertPersonLinks": [
{
"matcher": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"platformUserIds": [
"<string>"
],
"logins": [
"<string>"
],
"emails": [
"<string>"
],
"advanced": {
"platforms": [
"DATA_PLATFORM_TYPE_UNSPECIFIED"
],
"platformRootEntityIds": [
"<string>"
],
"userTypes": [
"<string>"
],
"emailDomains": [
"<string>"
],
"issuers": [
"DATA_PLATFORM_TYPE_UNSPECIFIED"
],
"minIssuerShare": 0.5,
"footprints": [
"DATA_PLATFORM_TYPE_UNSPECIFIED"
],
"minFootprintShare": 0.5
},
"internalOnly": true
},
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"priority": 123,
"identityPattern": "<string>",
"etag": "<string>",
"updatedBy": {
"name": "<string>",
"email": {
"userEmail": "jsmith@example.com"
},
"via": "VIA_UNSPECIFIED"
},
"createdAt": "2023-01-15T01:30:15.01Z",
"updatedAt": "2023-01-15T01:30:15.01Z"
}
],
"deletePersonLinkIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"builtInPolicies": [
{
"policy": {
"countsTowardPopularity": true,
"listedAsFrequentUser": true,
"countsTowardPopularityResolved": true,
"listedAsFrequentUserResolved": true
},
"builtInId": "<string>"
}
],
"coalesceLogins": [
{
"platformUserId": "<string>",
"excluded": true
}
]
},
"evidence": [
{
"kind": "EVIDENCE_KIND_UNSPECIFIED",
"platformUserId": "<string>",
"login": "<string>",
"values": [
"<string>"
],
"text": "<string>"
}
]
}
]
}synq.entities.platformusers.v1alpha.ServiceAccountsService
ListServiceAccountSuggestions
Suggest service accounts for the logins nothing classifies, each as a change set with its evidence. A suggestion changes nothing by itself: edit it if needed, plan it with PlanServiceAccountChanges, then apply it.
POST
/
api
/
entities
/
service-accounts
/
v1alpha
/
suggestions
ListServiceAccountSuggestions
curl --request POST \
--url https://developer.synq.io/api/entities/service-accounts/v1alpha/suggestions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"windowDays": 91
}
'import requests
url = "https://developer.synq.io/api/entities/service-accounts/v1alpha/suggestions"
payload = { "windowDays": 91 }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({windowDays: 91})
};
fetch('https://developer.synq.io/api/entities/service-accounts/v1alpha/suggestions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://developer.synq.io/api/entities/service-accounts/v1alpha/suggestions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'windowDays' => 91
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://developer.synq.io/api/entities/service-accounts/v1alpha/suggestions"
payload := strings.NewReader("{\n \"windowDays\": 91\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://developer.synq.io/api/entities/service-accounts/v1alpha/suggestions")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"windowDays\": 91\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://developer.synq.io/api/entities/service-accounts/v1alpha/suggestions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"windowDays\": 91\n}"
response = http.request(request)
puts response.read_body{
"suggestions": [
{
"source": "SUGGESTION_SOURCE_UNSPECIFIED",
"changes": {
"upsertServiceAccounts": [
{
"id": "<string>",
"name": "<string>",
"toolPlatform": "DATA_PLATFORM_TYPE_UNSPECIFIED",
"toolEntityId": "<string>",
"purpose": "PURPOSE_UNSPECIFIED",
"policy": {
"countsTowardPopularity": true,
"listedAsFrequentUser": true,
"countsTowardPopularityResolved": true,
"listedAsFrequentUserResolved": true
},
"priority": 123,
"matchers": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"platformUserIds": [
"<string>"
],
"logins": [
"<string>"
],
"emails": [
"<string>"
],
"advanced": {
"platforms": [
"DATA_PLATFORM_TYPE_UNSPECIFIED"
],
"platformRootEntityIds": [
"<string>"
],
"userTypes": [
"<string>"
],
"emailDomains": [
"<string>"
],
"issuers": [
"DATA_PLATFORM_TYPE_UNSPECIFIED"
],
"minIssuerShare": 0.5,
"footprints": [
"DATA_PLATFORM_TYPE_UNSPECIFIED"
],
"minFootprintShare": 0.5
},
"internalOnly": true
}
],
"builtIn": true,
"excludedPlatformUserIds": [
"<string>"
],
"etag": "<string>",
"updatedBy": {
"name": "<string>",
"email": {
"userEmail": "jsmith@example.com"
},
"via": "VIA_UNSPECIFIED"
},
"createdAt": "2023-01-15T01:30:15.01Z",
"updatedAt": "2023-01-15T01:30:15.01Z"
}
],
"deleteServiceAccountIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"upsertPersonLinks": [
{
"matcher": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"platformUserIds": [
"<string>"
],
"logins": [
"<string>"
],
"emails": [
"<string>"
],
"advanced": {
"platforms": [
"DATA_PLATFORM_TYPE_UNSPECIFIED"
],
"platformRootEntityIds": [
"<string>"
],
"userTypes": [
"<string>"
],
"emailDomains": [
"<string>"
],
"issuers": [
"DATA_PLATFORM_TYPE_UNSPECIFIED"
],
"minIssuerShare": 0.5,
"footprints": [
"DATA_PLATFORM_TYPE_UNSPECIFIED"
],
"minFootprintShare": 0.5
},
"internalOnly": true
},
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"priority": 123,
"identityPattern": "<string>",
"etag": "<string>",
"updatedBy": {
"name": "<string>",
"email": {
"userEmail": "jsmith@example.com"
},
"via": "VIA_UNSPECIFIED"
},
"createdAt": "2023-01-15T01:30:15.01Z",
"updatedAt": "2023-01-15T01:30:15.01Z"
}
],
"deletePersonLinkIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"builtInPolicies": [
{
"policy": {
"countsTowardPopularity": true,
"listedAsFrequentUser": true,
"countsTowardPopularityResolved": true,
"listedAsFrequentUserResolved": true
},
"builtInId": "<string>"
}
],
"coalesceLogins": [
{
"platformUserId": "<string>",
"excluded": true
}
]
},
"evidence": [
{
"kind": "EVIDENCE_KIND_UNSPECIFIED",
"platformUserId": "<string>",
"login": "<string>",
"values": [
"<string>"
],
"text": "<string>"
}
]
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
The days of query history the evidence is read over, back from the current hour. Unset is 30.
Required range:
x <= 92Response
200 - application/json
Success
By source, then by how much of the logins' activity carries the evidence, highest first.
Show child attributes
Show child attributes